Bug 88210 - Listcommands plugin doesn't auto-select identity
Listcommands plugin doesn't auto-select identity
Product: Red Hat Linux
Classification: Retired
Component: squirrelmail (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
Depends On:
  Show dependency treegraph
Reported: 2003-04-07 14:11 EDT by William Hooper
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-08 06:09:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Hooper 2003-04-07 14:11:23 EDT
Description of problem:
When using the "Reply to list" link (provided by the listcommands plugin), 
SquirrelMail always has the default identity as the "From" on the new 
message.  Using the default "Reply" link causes SM to autoselect the identity 
based on what address appears in the To: or CC: fields.  (Note: I'm using 
procmail to make sure the right address appears in the CC: field).

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Sign up with a list that has the commands in the header (Red Hat lists do).
2. Create multiple identities in SM.
3. Get the address you want to send "From" in the the right fields (To: or 
4. Try to use "Reply to List".
Actual results:
Default identity used every time.

Expected results:
Identity should be changed to the address that in the To: or CC: header that 
matches one of the identities.

Additional info:

I see that the "Reply" link includes an "identity=$identity" in the link to 
compose.php that "Reply to List" doesn't.

Also note that I have upgraded to the new SM 1.4.0 (released Apr 03, 2003) and 
it doesn't have this problem.  Maybe an upgrade for the distro is in order?

Note You need to log in before you can comment on or make changes to this bug.